QGIS Application - Bug report #6097
Getting wrong attribute values from a feature in qgis
2012-07-25 09:56 AM - Stig Henning Fredheim

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:1.8.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 15443
Description

This scenario shows the bug:
| make two polylines features(in my example both consists of two points) with the add feature tool. Then | (with code) add some attribute
values on the first feature, then changes the geometry of the second feature before | add values to the second values.

When | use layer.featureAtld() to get the second feature and then reads it, | get the values from the first feature.
But when using feat.geometry().asPolyline(), | get the correct geometry

| don't get this problem if | don't change the geometry or if | commit the two new polylines before doing the mentioned operations.

In the attribute table it is correct. If | use layer.nextFeature(feat) to iterate through all the features | get the right value.

There is a python script attached to show the bug. This code demands a little manual interaction to work. The comments says where the
interaction is needed.

History

#1 - 2012-09-04 11:52 AM - Paolo Cavallini
- Target version changed from Version 1.8.0 to Version 2.0.0

#2 - 2014-06-28 07:42 AM - Jiirgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#3 - 2015-12-13 07:04 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

| can't reproduce it on QGIS master (2.13).

Can you confirm this ?

#4 - 2015-12-30 03:43 AM - Giovanni Manghi

- Resolution set to not reproducable
- Status changed from Feedback to Closed

closing for the lack of feedback, please reopen if necessary.
Files

attributeValueBug.py 1.32 KB 2012-07-25 Stig Henning Fredheim
